commit 865140ace638c58ec4407e375ba953ba76258d7a
parent 2465ec78c2dff6654e73361b7756cadaa6f514c7
Author: Chris Roberts <chris.roberts@learningunix.net>
Date: Wed, 3 Jun 2026 06:18:46 -0500
added cheat sheet script. Updated password script to have a title. Updated readme.
Diffstat:
3 files changed, 19 insertions(+), 1 deletion(-)
diff --git a/README.md b/README.md
@@ -13,3 +13,7 @@ to be saved as environment variables.
Pipe the password store entries into wofi to create a selectable menu.
Depends on wofi, pass, and wl-clipboard. Kilpper was fighing me when
clearing the clipboard so the dbus6 line was added.
+
+## cheat-sheet.sh
+Added a script for displaying commands that I want to remember in wofi.
+Selecting an entry will copy it to the clipboard if wl-clipboard is installed.
diff --git a/cheat-sheet.sh b/cheat-sheet.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+commandList="tea
+git
+hcloud"
+
+if ! command -v wofi >/dev/null 2>&1; then
+ echo "wofi is not installed"
+ exit 1
+fi
+selection=$(echo "$commandList" | wofi --prompt "Cheat Sheet" --dmenu)
+
+[ -z "$selection" ] && echo "nothing selected"
+exit 1
diff --git a/pass-menu.sh b/pass-menu.sh
@@ -13,7 +13,7 @@ store="${PASSWORD_STORE_DIR:-$HOME/.password-store}"
passwords="$(find "$store" -name "*.gpg" | sed -e 's|\.gpg$||' | sed -e "s|$store/||")"
-selection=$(echo "$passwords" | wofi --dmenu)
+selection=$(echo "$passwords" | wofi --prompt "Passwords" --dmenu)
[ -z "$selection" ] && exit 0